Bug 1738040 - jumpnbump depends on Python 2
Summary: jumpnbump depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jumpnbump
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rémi Verschelde
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:36 UTC by Lumír Balhar
Modified: 2019-09-18 03:00 UTC (History)
2 users (show)

Fixed In Version: jumpnbump-1.61-1.fc30 jumpnbump-1.61-1.fc29 jumpnbump-1.61-1.fc31 jumpnbump-1.61-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 03:12:34 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:36:53 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for jumpnbump's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to jumpnbump.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Rémi Verschelde 2019-08-06 18:13:54 UTC
jumpnbump's dependency on Python 2 is for an optional menu in PyGtk2, that could be removed if needed.

But there's a pending merge request to port it to Python 3 and PyGObject3, so I will update the Fedora package once this is merged to solve this issue.
https://gitlab.com/LibreGames/jumpnbump/merge_requests/24

Comment 2 Ben Cotton 2019-08-13 17:07:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:35:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Lumír Balhar 2019-08-14 08:31:23 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 5 Fedora Update System 2019-09-02 12:46:00 UTC
FEDORA-2019-87748974b7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-87748974b7

Comment 6 Fedora Update System 2019-09-02 12:48:13 UTC
FEDORA-2019-b80bf445f0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b80bf445f0

Comment 7 Fedora Update System 2019-09-02 12:49:09 UTC
FEDORA-2019-359bafc4e8 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-359bafc4e8

Comment 8 Fedora Update System 2019-09-02 12:49:54 UTC
FEDORA-EPEL-2019-3b8e709397 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3b8e709397

Comment 9 Fedora Update System 2019-09-02 23:56:45 UTC
jumpnbump-1.61-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-87748974b7

Comment 10 Fedora Update System 2019-09-03 02:56:39 UTC
jumpnbump-1.61-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b80bf445f0

Comment 11 Fedora Update System 2019-09-03 03:01:46 UTC
jumpnbump-1.61-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-359bafc4e8

Comment 12 Fedora Update System 2019-09-03 03:04:39 UTC
jumpnbump-1.61-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3b8e709397

Comment 13 Fedora Update System 2019-09-11 03:12:34 UTC
jumpnbump-1.61-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-09-11 03:34:58 UTC
jumpnbump-1.61-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-14 00:09:05 UTC
jumpnbump-1.61-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-14 16:32:48 UTC
jumpnbump-1.61-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-18 03:00:43 UTC
jumpnbump-1.61-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.